
IF NOT EXISTS (SELECT* FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EST_SNGPC_RECEITA_IT' AND COLUMN_NAME = 'CD_RECEITA')

BEGIN 
    ALTER TABLE EST_SNGPC_RECEITA_IT DROP CONSTRAINT PK_EST_SNGPC_RECEITA_IT;
	ALTER TABLE EST_SNGPC_RECEITA_IT ADD CD_RECEITA INT NOT NULL CONSTRAINT FK_EST_SNGPC_RECEITA_IT_CD_RECEITA FOREIGN KEY (CD_RECEITA) REFERENCES EST_SNGPC_RECEITA (CD_RECEITA)
	ALTER TABLE EST_SNGPC_RECEITA_IT add CONSTRAINT PK_EST_SNGPC_RECEITA_IT PRIMARY KEY CLUSTERED  (CD_EMP,CD_FILIAL,CD_VD,CD_IT,CD_RECEITA)
END 